Package org.eclipse.lemminx.extensions.dtd.utils

## Class DTDUtils

- java.lang.Object
- - org.eclipse.lemminx.extensions.dtd.utils.DTDUtils

    public class DTDUtils
    extends Object

DTD utilities.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`DTDUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static FilesChangedTracker` `createFilesChangedTracker​(org.apache.xerces.impl.dtd.DTDGrammar grammar)`
`static void` `searchDTDOriginElementDecls​(DTDDeclNode targetNode, BiConsumer<DTDDeclParameter,​DTDDeclParameter> collector, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Search origin DTD node (
`static void` `searchDTDTargetElementDecl​(DTDDeclParameter originNameNode, boolean matchName, Consumer<DTDDeclParameter> collector)` Collect

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DTDUtils

    public DTDUtils()

### Method Detail

#### searchDTDTargetElementDecl

    public static void searchDTDTargetElementDecl​(DTDDeclParameter originNameNode,
                                                  boolean matchName,
                                                  Consumer<DTDDeclParameter> collector)

Collect

Parameters:
  `originNameNode` - the origin name node (<ex :
  `matchName` - true if the origin name must match the value of target name and false otherwise.
  `collector` - collector to collect DTD

#### searchDTDOriginElementDecls

    public static void searchDTDOriginElementDecls​(DTDDeclNode targetNode,
                                                   BiConsumer<DTDDeclParameter,​DTDDeclParameter> collector,
                                                   org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Search origin DTD node (

Parameters:
  `targetNode` - the referenced node
  `collector` - the collector to collect reference between an origin and target attribute.

#### createFilesChangedTracker

    public static FilesChangedTracker createFilesChangedTracker​(org.apache.xerces.impl.dtd.DTDGrammar grammar)